Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## scone.util.tokenstream
Class SconePipe

    java.lang.Object
      scone.util.tokenstream.SconePipe

    public class SconePipe

extends java.lang.Object

helper class for the use of TokenStreams. This class encapsulates a WBI RequestEvent.

Field Summary
`protected RequestEvent` | `e`
`protected TokenInputStream` | `in`
`protected TokenOutputStream` | `out`

Constructor Summary
`SconePipe(RequestEvent e)` creates a new SconePipe from a WBI RequestEvent

Method Summary
`void` | `close()` closes the tokenstreams
`RequestEvent` | `getRequestEvent()` returns the RequestEvent
`TokenInputStream` | `getTokenInputStream()` returns the TokenInputStream of this SconePipe.
`TokenOutputStream` | `getTokenOutputStream()` returns the TokenOutputStream

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### e

    protected RequestEvent e

### in

    protected TokenInputStream in

### out

    protected TokenOutputStream out

Constructor Detail

### SconePipe

    public SconePipe(RequestEvent e)
              throws java.lang.Exception

  creates a new SconePipe from a WBI RequestEvent

  Parameters:
    `e` - the RequestEvent
  Throws:
    `java.lang.Exception`

Method Detail

### getTokenInputStream

    public TokenInputStream getTokenInputStream()

  returns the TokenInputStream of this SconePipe. If neccessary, a new TokenInputStream is created from the MegInputStream.

  Returns:
    the TokenInputStream

### getTokenOutputStream

    public TokenOutputStream getTokenOutputStream()

  returns the TokenOutputStream

  Returns:
    the TokenOutputStream

### getRequestEvent

    public RequestEvent getRequestEvent()

  returns the RequestEvent

  Returns:
    the RequestEvent

### close

    public void close()
               throws java.lang.Exception

  closes the tokenstreams

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD